Skip to content

Create template stage recipient

Request

Creates a new recipient for the specified template stage.

Security
Bearer or PersonalAccessToken
Path
organizationIdstring, (uuid)required

Unique identifier of the organization

templateIdstring, (uuid)required

Unique identifier of the template

stageIdstring, (uuid)required

Unique identifier of the stage

Bodyapplication/jsonrequired
One of:

Request body for creating an Automatic recipient.

languageCodestring or null

BCP 47 language code for recipient notifications.

Example:"en"
signatureProfilestring or null

The friendly name of the eSealing signature profile.

Example:"default-eseal-profile"
metadataArray of objects or null(RecipientMetadataEntry)

Recipient-level metadata injected into the workstep XML as additional client workstep information.

signatureReasonstring or null

Reason displayed at the recipient signing step.

Example:"I agree to the terms."
typestringrequired
Default:"Automatic"
Value:"Automatic"
Example:"Automatic"
POST
/api/v1/organizations/{organizationId}/templates/{templateId}/stages/{stageId}/recipients
curl -i -X POST \
  '/api/v1/organizations/{organizationId}/templates/{templateId}/stages/{stageId}/recipients' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "type": "Automatic",
    "signatureProfile": "default-eseal-profile",
    "signatureReason": "I agree to the terms.",
    "languageCode": "en"
  }'

Responses

Created

Bodyapplication/json
idstring, (uuid)required

The ID of the created recipient.

Response
{ "id": "00000000-0000-0000-0000-000000000100" }